org.eclnt.jsfserver.elements.componentnodes

## Class SCALEPANENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SCALEPANENode

- All Implemented Interfaces:
    java.io.Serializable

      public class SCALEPANENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCALEPANENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SCALEPANENode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `SCALEPANENode` | `bindComment(IDynamicContentBindingObject value)`
    `SCALEPANENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SCALEPANENode` | `bindHeight(IDynamicContentBindingObject value)`
    `SCALEPANENode` | `bindScale(IDynamicContentBindingObject value)`
    `SCALEPANENode` | `bindWidth(IDynamicContentBindingObject value)`
    `SCALEPANENode` | `bindX(IDynamicContentBindingObject value)`
    `SCALEPANENode` | `bindY(IDynamicContentBindingObject value)`
    `SCALEPANENode` | `setAnimatechangeofsize(boolean value)`
    `SCALEPANENode` | `setAnimatechangeofsize(java.lang.String value)`
    `SCALEPANENode` | `setComment(java.lang.String value)`
    `SCALEPANENode` | `setConfiginfo(java.lang.String value)`
    `SCALEPANENode` | `setHeight(int value)`
    `SCALEPANENode` | `setHeight(java.lang.String value)`
    `SCALEPANENode` | `setId(java.lang.String value)`
    `SCALEPANENode` | `setReference(java.lang.String value)`
    `SCALEPANENode` | `setScale(java.lang.String value)`
    `SCALEPANENode` | `setWidth(int value)`
    `SCALEPANENode` | `setWidth(java.lang.String value)`
    `SCALEPANENode` | `setX(int value)`
    `SCALEPANENode` | `setX(java.lang.String value)`
    `SCALEPANENode` | `setY(int value)`
    `SCALEPANENode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SCALEPANENode

          public SCALEPANENode()

  - ### Method Detail

    - #### setId

          public SCALEPANENode setId(java.lang.String value)

    - #### setAnimatechangeofsize

          public SCALEPANENode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public SCALEPANENode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SCALEPANENode setAnimatechangeofsize(boolean value)

    - #### setComment

          public SCALEPANENode setComment(java.lang.String value)

    - #### bindComment

          public SCALEPANENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SCALEPANENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SCALEPANENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public SCALEPANENode setHeight(java.lang.String value)

    - #### bindHeight

          public SCALEPANENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public SCALEPANENode setHeight(int value)

    - #### setReference

          public SCALEPANENode setReference(java.lang.String value)

    - #### setScale

          public SCALEPANENode setScale(java.lang.String value)

    - #### bindScale

          public SCALEPANENode bindScale(IDynamicContentBindingObject value)

    - #### setWidth

          public SCALEPANENode setWidth(java.lang.String value)

    - #### bindWidth

          public SCALEPANENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public SCALEPANENode setWidth(int value)

    - #### setX

          public SCALEPANENode setX(java.lang.String value)

    - #### bindX

          public SCALEPANENode bindX(IDynamicContentBindingObject value)

    - #### setX

          public SCALEPANENode setX(int value)

    - #### setY

          public SCALEPANENode setY(java.lang.String value)

    - #### bindY

          public SCALEPANENode bindY(IDynamicContentBindingObject value)

    - #### setY

          public SCALEPANENode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.